#
# spec file for package gcalctool (Version 5.6.31)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gcalctool
BuildRequires:  gnome-common gnutls-devel intltool kdelibs3-doc libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel perl-XML-Parser scrollkeeper update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL v2 or later
Group:          Productivity/Scientific/Math
AutoReqProv:    on
Version:        5.6.31
Release:        26.11.24
Summary:        A GNOME Calculator Application
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gcalctool/4.3/%{name}-%{version}.tar.bz2
Source1:        gcalctool-pl.tar.bz2
Patch1:         gcalc_59753_59377_59378.patch
Patch2:         gcalctool-deprecated.patch
Patch3:         gcalctool-dpoint.patch
Patch4:         gcalctool-fix-bug627444.patch
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem gconf2

%description
A GNOME calculator package based on calctool and MP library.



Authors:
--------
    MP (1970):
    Richard Brent at Computer Centre, Australian National University
    calctool (1990):
    Ed Falk at Sun Microsystems (Mountain View), 1990
    Andrew Nicholson
    Sriram Ramachandran
    Hala Abdalla
    Didier Poirot
    Sisira Jayasinghe
    James Buster, David Weaver, Steve Damron, Mike Bender,
    Charles Tierney, Trevor Watson, Marla Berg, David Hough, Jeff Donsbach,
    Mel Melchner, Peter Allott, Skip Gilbrech, Tom Friedel, Keith McNeill
    Stephen Frede, Johan Vromans, David Karr, Steve Alexander, Gary Bartlett,
    Steve Nahm, Daniel Yang, Rick Stevenson
    gcalctool:
    Rich Burridge <rich.burridge@Sun.COM>
    Dennis Cranston
    Andrew Sobala
    Calum Benson
    Breda McColgan
    Evan Martin <martine@cs.washington.edu>
    Gregory Merchan <merchan@baton.phys.lsu.edu>

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
rm aclocal.m4
rm config.h.in
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --mandir=%prefix/share/man \
    --localstatedir=/var/lib
# Force-define _ and N_.
echo "#include <glib/gi18n.h>" >>config.h
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT/opt/gnome/share/gnome/help
tar xjvf %{SOURCE1}
popd
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL       
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
%suse_update_desktop_file -N "Gnome Calculator" -G Calculator %name Calculator
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/gcalctool/*/gcalctool.xml; do
    meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
done
%find_lang %{name}

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gcalctool.schemas >/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README TODO
%{sysconfdir}/gconf/schemas/gcalctool.schemas
%{prefix}/bin/*
%doc %{prefix}/share/man/man?/*.*
%{prefix}/share/applications/*.desktop
%{prefix}/share/omf/*
%{prefix}/share/gnome/help/gcalctool/*

%changelog
* Fri Aug 27 2010 dmzhang@novell.com
- remove the scroll_right from upper to lower
* Thu Aug 26 2010 dmzhang@novell.com
- clean all the patched
* Wed Mar 26 2008 mauro@suse.de
- Added gcalctool-pl.tar.bz2 to fix bnc#356557
  + Updated polish translation.
* Fri May  5 2006 sreeves@suse.de
- Fix for 167218 - change name
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 sbrabec@suse.cz
- Prevent bad calculations with localized decimal point.
  http://bugzilla.gnome.org/show_bug.cgi?id=142824#c17
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Mon Sep  5 2005 rodrigo@suse.de
- Update to version 5.6.31 (part of GNOME 2.12)
* Mon Aug 22 2005 rodrigo@suse.de
- Update to version 5.6.28
* Mon Aug  8 2005 rodrigo@suse.de
- Update to version 5.6.26
* Tue Aug  2 2005 gekker@suse.de
- Update to version 5.6.25
* Fri Jul 22 2005 gekker@suse.de
- Update to version 5.6.21
* Fri Jun 17 2005 gekker@suse.de
- Update to version 5.6.14
* Wed Mar  9 2005 gekker@suse.de
- Update to version 5.5.41 (GNOME 2.10).
* Wed Mar  2 2005 gekker@suse.de
- Update to version 5.5.40
* Thu Feb 10 2005 gekker@suse.de
- Update to version 5.5.34
* Sat Feb  5 2005 gekker@suse.de
- Update to version 5.5.29
* Tue Feb  1 2005 sbrabec@suse.cz
- Force include gi18n.h.
- Fixed implicit declaration.
* Tue Jan  4 2005 gekker@suse.de
- Update to version 5.5.9
- Remove decimal.patch (upstreamed).
- Fixed patch for ximian bugs mentioned below (mostly upstreamed).
- Added gnome-icon-theme to neededforbuild, now required.
* Fri Nov 19 2004 ro@suse.de
- removed extra aclocal include directive
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Wed Aug 25 2004 clahey@suse.de
- Cache gcalctool help and show gcalctool in khelpcenter.
* Tue Jun 22 2004 sagarwala@suse.de
- Added patch for the following bugs in ximian bugzilla #59753, #59377 and #59378
* Thu May 27 2004 sbrabec@suse.cz
- Added patch for localized decimal point.
  http://bugzilla.gnome.org/show_bug.cgi?id=142824
* Wed May  5 2004 sbrabec@suse.cz
- Updated to version 4.3.51 (GNOME 2.6).
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
- Fixed %%doc attributes (#33163).
* Thu Feb 19 2004 sbrabec@suse.cz
- Updated to version 4.3.44.
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb  9 2004 hhetter@suse.de
- updated to version 4.3.16 [GNOME2.4.2]
* Thu Oct  9 2003 sbrabec@suse.cz
- Updated %%doc.
* Wed Oct  8 2003 sbrabec@suse.cz
- Added new SuSE package, version 4.3.3 (for GNOME 2.4).
